MONGOC_WRITE_CONCERN_GET_FSYNC(3)

NAME
mongoc_write_concern_get_fsync - mongoc_write_concern_get_fsync()

WARNING: Deprecated since version 1.4.0: This function is deprecated and should not be used in new code.

Please use mongoc_write_concern_get_journal() in new code.

SYNOPSIS

bool
mongoc_write_concern_get_fsync (const mongoc_write_concern_t *write_concern);

PARAMETERS

•   write_concern: A mongoc_write_concern_t.

DESCRIPTION

Fetches if an fsync should be performed before returning success on a write operation.

RETURNS

Returns true if fsync is set as part of the write concern.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc